Bug 235574

Summary: databases/mariadb101-client: Update to 10.1.38
Product: Ports & Packages Reporter: Pascal Christen <pascal.christen>
Component: Individual Port(s)Assignee: Bernard Spil <brnrd>
Status: Closed FIXED    
Severity: Affects Many People CC: pascal.christen
Priority: --- Keywords: security
Version: LatestFlags: bugzilla: maintainer-feedback? (brnrd)
Hardware: Any   
OS: Any   
See Also: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235573
Attachments:
Description Flags
Client part none

Description Pascal Christen 2019-02-07 13:11:36 UTC
Created attachment 201813 [details]
Client part

Client part of https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=235573
Comment 2 commit-hook freebsd_committer 2019-02-08 09:48:57 UTC
A commit references this bug:

Author: brnrd
Date: Fri Feb  8 09:48:49 UTC 2019
New revision: 492419
URL: https://svnweb.freebsd.org/changeset/ports/492419

Log:
  databases/mariadb101-server: Security update to 10.1.38

   - Unbreak: Uses bundled yaSSL if OpenSSL 1.1 detected

  PR:		235574, 235574
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  MFH:		2019Q1
  Security:	d3d02d3a-2242-11e9-b95c-b499baebfeaf

Changes:
  head/databases/mariadb101-client/files/patch-client_CMakeLists.txt
  head/databases/mariadb101-client/pkg-plist
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/distinfo
Comment 3 commit-hook freebsd_committer 2019-02-08 09:48:59 UTC
A commit references this bug:

Author: brnrd
Date: Fri Feb  8 09:48:49 UTC 2019
New revision: 492419
URL: https://svnweb.freebsd.org/changeset/ports/492419

Log:
  databases/mariadb101-server: Security update to 10.1.38

   - Unbreak: Uses bundled yaSSL if OpenSSL 1.1 detected

  PR:		235574, 235574
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  MFH:		2019Q1
  Security:	d3d02d3a-2242-11e9-b95c-b499baebfeaf

Changes:
  head/databases/mariadb101-client/files/patch-client_CMakeLists.txt
  head/databases/mariadb101-client/pkg-plist
  head/databases/mariadb101-server/Makefile
  head/databases/mariadb101-server/distinfo
Comment 4 Bernard Spil freebsd_committer 2019-02-08 09:50:37 UTC
Hi Pascal,

Thanks for supplying patches!

I had already prepared the update, but had not yet committed it.

Cheers, Bernard.
Comment 5 Pascal Christen 2019-02-08 09:56:28 UTC
(In reply to Bernard Spil from comment #4)
you're welcome. Don't you want to fix this typo in the patch? :)

--TARGET_LINK_LIBRARIES(mysqladmin mysqlclient)
-+tARGET_LINK_LIBRARIES(mysqladmin mysqlclient)
Comment 6 commit-hook freebsd_committer 2019-02-22 19:49:18 UTC
A commit references this bug:

Author: brnrd
Date: Fri Feb 22 19:48:17 UTC 2019
New revision: 493585
URL: https://svnweb.freebsd.org/changeset/ports/493585

Log:
  MFH: r492419

  databases/mariadb101-server: Security update to 10.1.38

   - Unbreak: Uses bundled yaSSL if OpenSSL 1.1 detected

  PR:		235574, 235574
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  Security:	d3d02d3a-2242-11e9-b95c-b499baebfeaf

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/databases/mariadb101-client/files/patch-client_CMakeLists.txt
  branches/2019Q1/databases/mariadb101-client/pkg-plist
  branches/2019Q1/databases/mariadb101-server/Makefile
  branches/2019Q1/databases/mariadb101-server/distinfo
Comment 7 commit-hook freebsd_committer 2019-02-22 19:49:21 UTC
A commit references this bug:

Author: brnrd
Date: Fri Feb 22 19:48:17 UTC 2019
New revision: 493585
URL: https://svnweb.freebsd.org/changeset/ports/493585

Log:
  MFH: r492419

  databases/mariadb101-server: Security update to 10.1.38

   - Unbreak: Uses bundled yaSSL if OpenSSL 1.1 detected

  PR:		235574, 235574
  Submitted by:	Pascal Christen <pascal.christen@hostpoint.ch>
  Security:	d3d02d3a-2242-11e9-b95c-b499baebfeaf

  Approved by:	ports-secteam (joneum)

Changes:
_U  branches/2019Q1/
  branches/2019Q1/databases/mariadb101-client/files/patch-client_CMakeLists.txt
  branches/2019Q1/databases/mariadb101-client/pkg-plist
  branches/2019Q1/databases/mariadb101-server/Makefile
  branches/2019Q1/databases/mariadb101-server/distinfo